{combine_script id='common' load='footer' path='admin/themes/default/js/common.js'}

{combine_script id='jquery.dataTables' load='footer' path='themes/default/js/plugins/jquery.dataTables.js'}
{combine_css path="themes/default/js/plugins/datatables/css/jquery.dataTables.css"}

{footer_script}
jQuery(document).ready(function(){

  jQuery('#submitipban').click(function(){
    jQuery("#banip_edit").toggle();
	jQuery("#ipedit").hide();
    jQuery("input[name=submitaddipban]").focus();
  });
  
  jQuery('.lip').mouseover(function(){
    jQuery(this).children('span').show();
  });
  jQuery('.lip').mouseout(function(){
    jQuery(this).children('span').hide();
  });

  $("#tablebanip").dataTable({
    pageLength: 10,
	"pagingType": "full_numbers",
    language: {
      processing: "{'Loading...'|translate|escape:'javascript'}",
      lengthMenu: sprintf("{'Show %s IP'|translate|escape:'javascript'}", '_MENU_'),
      zeroRecords: "{'No matching IP found'|translate|escape:'javascript'}",
      info: sprintf("{'Showing %s to %s of %s IP'|translate|escape:'javascript'}", '_START_', '_END_', '_TOTAL_'),
      infoEmpty: "{'No matching IP found'|translate|escape:'javascript'}",
      infoFiltered: sprintf("{'(filtered from %s total IP)'|translate|escape:'javascript'}", '_MAX_'),
      search: '<span class="icon-search"></span>'+"{'Search'|translate|escape:'javascript'}",
      loadingRecords: "{'Loading...'|translate|escape:'javascript'}",
      paginate: {
          first:    "{'First'|translate|escape:'javascript'}",
          previous: "{'Previous'|translate|escape:'javascript'}",
          next:     "{'Next'|translate|escape:'javascript'}",
          last:     "{'Last'|translate|escape:'javascript'}",
      }
    }
  });
  
});
{/footer_script}

<div class="titrePage">
  <h2>{'Ban IP'|@translate}</h2>
</div>
{if isset ($ipbangest)}
	<p class="showCreateAlbum" id="showAddIP">
	  <a href="#" id="submitipban" class="icon-plus-circled mouse">{'Ban new IP address'|translate}</a>
    | <a href="{$ipbangest.U_DELETEALL}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');"><span class="icon-trash mouse"></span>{'Delete all banned IP addresses'|@translate}</a>  

	</p>
{/if}
  <div id="banip_edit" style="display: none;">
	<form method="post">
		<fieldset>
			<legend>{'Ban new IP address'|@translate}</legend>
			{'IP'|@translate} <input " type="text" name="inserip" data-ip placeholder="123.123.123.123/123.123.123.*" value="" size="50" maxlenght="50" required pattern="^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|\*)$">
			<br>
			<br>
			<input class="submit" name="submitaddipban" type="submit" value="{'Add'|@translate}" />
		</fieldset>
	</form>
  </div>
{if isset ($ipbangest)}
<form method="post" >
	<fieldset>
	  <legend>{'List IP banned'|@translate}</legend>
	  <table id="tablebanip">
	    <thead>
		<tr>
		  <th></th>
		</tr>
		</thead>
		<tbody>
		{foreach from=$ipban2 item=ipban}
		<tr>
		  <td>
			<div class="lip">
			<!-- {$ipban.ID} --> {$ipban.IP}
			  <span class="actionip" style="display: none">
				<a href="{$ipban.U_EDIT}"><span class="icon-pencil"></span>{'Edit'|@translate}</a>
				| <a href="{$ipban.U_DELETE}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');"><span class="icon-trash"></span>{'delete'|@translate}</a>
			  </span>
			</div>
		  </td>
		</tr>
		{/foreach}
		</tbody>
	 </table>
  	</fieldset>
</form>
{/if}
{if isset ($ipban_edit)}
	<form method="post" id="ipedit">
		<fieldset>
			<legend>{'Edit IP banned'|@translate}</legend>
			<input type="hidden" name="invisibleID" value="{$ipban_edit.ID}">
			{'IP'|@translate} <input " type="text" name="inserip" data-ip="1" placeholder="123.123.123.123/123.123.123.*" value="{$ipban_edit.IP}" size="50" maxlenght="50" required pattern="^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?).(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|\*)$">
			<br>	
			<br>
			<input class="submit" name="submitaddipban2" data-ip type="submit" value="{'Update'|@translate}" />
		</fieldset>
	</form>
{/if}